Bug 1044772 - ldap group loading doesn't log anything
Summary: ldap group loading doesn't log anything
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR0
: EAP 6.3.0
Assignee: Darran Lofthouse
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-18 23:44 UTC by Derek Horton
Modified: 2014-06-28 15:24 UTC (History)
6 users (show)

(edit)
In previous versions of JBoss EAP 6 TRACE and DEBUG logging had not been added to the LDAP interactions within the security realms. This made diagnosing authentication issues where LDAP is in use extremely difficult as no logging was available. 

Verbose TRACE logging for the loading of groups has been added in this release and is now logged to the `org.jboss.as.domain.management.security` category. This new logging has been limited to the TRACE level due to the verbosity at the DEBUG level. 

Customers can now use these logs to diagnose LDAP related issues with security realms.
Clone Of:
(edit)
Last Closed: 2014-06-28 15:24:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2672 Major Resolved Additional debug logging for LDAP based group loading. 2014-07-24 08:30:26 UTC

Description Derek Horton 2013-12-18 23:44:12 UTC
Description of problem:

The ldap group lookup code for domain-management does not log anything.  This makes it almost impossible to resolve issues without using a debugger.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 JBoss JIRA Server 2014-01-27 18:19:24 UTC
Darran Lofthouse <darran.lofthouse@jboss.com> updated the status of jira WFLY-2672 to Coding In Progress

Comment 4 Ondrej Lukas 2014-03-05 12:54:08 UTC
Verified on EAP 6.3.0.DR1.

Comment 5 sgilda 2014-05-12 18:31:41 UTC
Changed <literal></literal> tags in Doc Text to ticks (`) to fix Bug 1096865


Note You need to log in before you can comment on or make changes to this bug.